package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERInteger;
import cn.com.infosec.asn1.DERObject;

public class PollReqContent extends ASN1Encodable {
   private ASN1Sequence content;

   private PollReqContent(ASN1Sequence seq) {
      this.content = seq;
   }

   public static PollReqContent getInstance(Object o) {
      if (o instanceof PollReqContent) {
         return (PollReqContent)o;
      } else if (o instanceof ASN1Sequence) {
         return new PollReqContent((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   private DERInteger[] seqenceToDERIntegerArray(ASN1Sequence seq) {
      int var4;
      DERInteger[] var2 = new DERInteger[var4 = seq.size()];

      for(int var3 = 0; var3 != var4; ++var3) {
         var2[var3] = DERInteger.getInstance(seq.getObjectAt(var3));
      }

      return var2;
   }

   public DERInteger[][] getCertReqIds() {
      int var1;
      DERInteger[][] var2 = new DERInteger[var1 = this.content.size()][];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = this.seqenceToDERIntegerArray((ASN1Sequence)this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
